Bug 50262 - mod_rewrite log ip address vs hostname
Summary: mod_rewrite log ip address vs hostname
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_rewrite (show other bugs)
Version: 2.2.17
Hardware: PC Windows XP
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-11-12 13:00 UTC by Artem
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Artem 2010-11-12 13:00:56 UTC
sorry for my english

my httpd.conf
-------------
Listen 80

LoadModule rewrite_module modules/mod_rewrite.so
LoadModule log_config_module modules/mod_log_config.so

HostNameLookups On
CustomLog customlog.txt "%h"

RewriteEngine On
RewriteRule /old.html /new.html

RewriteLog rewrite.log
RewriteLogLevel 9


bug
---
with ip address in rewrite.log

1) if press F5 in browser very often (about 5 time or more at second) then

rewrite.log

localhost - - [22/Oct/2010:15:40:59 +0400] [localhost/sid#965148][rid#9b7ae0/initial] (2) init rewrite engine with requested uri /old.html
localhost - - [22/Oct/2010:15:40:59 +0400] [localhost/sid#965148][rid#9b7ae0/initial] (3) applying pattern '/old.html' to uri '/old.html'
localhost - - [22/Oct/2010:15:40:59 +0400] [localhost/sid#965148][rid#9b7ae0/initial] (2) rewrite '/old.html' -> '/new.html' 
...

2) else

127.0.0.1 - - [22/Oct/2010:15:40:59 +0400] [localhost/sid#965148][rid#9b7ae0/initial] (2) init rewrite engine with requested uri /old.html
127.0.0.1 - - [22/Oct/2010:15:40:59 +0400] [localhost/sid#965148][rid#9b7ae0/initial] (3) applying pattern '/old.html' to uri '/old.html'
127.0.0.1 - - [22/Oct/2010:15:40:59 +0400] [localhost/sid#965148][rid#9b7ae0/initial] (2) rewrite '/old.html' -> '/new.html' 
...
Comment 1 Christophe JAILLET 2012-09-30 17:03:39 UTC
Could this be related to https://issues.apache.org/bugzilla/show_bug.cgi?id=50976 ?
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:47 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.